// Copyright 1998-2019 Epic Games, Inc. All Rights Reserved.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/GameModeBase.h"
#include "DayNightGameMode.generated.h"

UCLASS(minimalapi)
class ADayNightGameMode : public AGameModeBase
{
	GENERATED_BODY()

	void TimeOfDayTimer();

	bool m_bLastIsNight;

	class ADayNightGameStateBase* m_GS;
public:
	ADayNightGameMode();

protected:
	virtual void PostInitializeComponents() override;

};



